
Foreman - Bug #18305

kickstart_networking_setup snippet throws "undefined method 'gateway' for NilClass"

01/30/2017 09:46 AM - Todd Punderson

Status: Resolved   
Assignee:    

Category: Templates   
Pull request:    

Description

Newish user here, apologies if this is in the wrong place..

Using Katello 3.3 RC1 on CentOS 7.

When provisioning a host everything works fine and the host installs. If I click the "Build" button to rebuild the host I get this error and

the host in unable to rebuild. I tried this with safemode on and off.

2017-01-30 09:27:42 0bf13bc9 [templates] [I] Rendering template 'kickstart_networking_setup'

2017-01-30 09:27:42 0bf13bc9 [app] [W] Review template error  | RuntimeError: The snippet 'kickstart_networking_setup' threw an

error: undefined method 'gateway' for NilClass::Jail (NilClass)  | /usr/share/foreman/lib/foreman/renderer.rb:119:in `rescue in snippet' 

| /usr/share/foreman/lib/foreman/renderer.rb:116:in `snippet'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.4/lib/safemode/scope.rb:37:in `method_missing'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.4/lib/safemode.rb:142:in `bind'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.4/lib/safemode.rb:51:in `eval'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/safemode-1.2.4/lib/safemode.rb:51:in `eval'  |

/usr/share/foreman/lib/foreman/renderer.rb:32:in `render_safe'  | /usr/share/foreman/lib/foreman/renderer.rb:161:in

`unattended_render'  | /usr/share/foreman/app/models/host/managed.rb:821:in `render_template'  |

/usr/share/foreman/app/services/host_build_status.rb:36:in `block in templates_status'  |

/usr/share/foreman/app/services/host_build_status.rb:33:in `each'  | /usr/share/foreman/app/services/host_build_status.rb:33:in

`templates_status'  | /usr/share/foreman/app/services/host_build_status.rb:15:in `check_all_statuses'  |

/usr/share/foreman/app/models/host/managed.rb:826:in `build_status_checker'  |

/usr/share/foreman/app/controllers/hosts_controller.rb:231:in `review_before_build'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/implicit_render.rb:4:in `send_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:198:in `process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rendering.rb:10:in `process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:20:in `block in process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:117:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in

`around'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `public_send'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `block in make_lambda'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `block in halting'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `block in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'  |
/usr/share/foreman/app/controllers/concerns/application_shared.rb:14:in `set_timezone'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in `block in make_lambda'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `block in halting'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `block in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'  |

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:432:in `block in make_lambda'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `block in halting'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `block in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:498:in `block (2 levels) in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:313:in `block (2 levels) in halting'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/rails-observers-0.1.2/lib/rails/observers/action_controller/caching/sweeping.rb:73:in

`around'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `public_send'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:455:in `block in make_lambda'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:312:in `block in halting'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:497:in `block in around'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:505:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:92:in `__run_callbacks__'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in

`_run_process_action_callbacks'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callbacks.rb:19:in `process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rescue.rb:29:in `process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.rb:32:in `block in

process_action'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:in `block in

instrument'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications/instrumenter.rb:20:in

`instrument'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notifications.rb:164:in `instrument' 

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/instrumentation.rb:30:in `process_action' 

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/params_wrapper.rb:250:in

`process_action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:137:in `process'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:in `process'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:196:in `dispatch'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:237:in `block in action'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:74:in `dispatch'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:43:in `serve'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:43:in `block in serve'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in `each'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/router.rb:30:in `serve'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/route_set.rb:815:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/static_dispatcher.rb:65:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/extractor/recorder.rb:132:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.3.7/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'  |
/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:25:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/params_parser.rb:27:in `call'  |

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/flash.rb:260:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `context'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/cookies.rb:560:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.rb:36:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_adapters/abstract/connection_pool.rb:

653:in `call'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:29:in `block

in call'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:88:in `__run_callbacks__' 

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.rb:81:in `run_callbacks'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/callbacks.rb:27:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `call_app'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `call'  |

/usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/request_id.rb:21:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in

`call'  | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/static.rb:116:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware.rb:12:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `public_send'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `method_missing'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'  |

/opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'  |

/usr/share/passenger/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'  |

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'  |

/usr/share/passenger/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'  |

/usr/share/passenger/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'  |

/opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in

create_with_logging_context'

History

#1 - 02/01/2017 02:16 PM - Justin Sherrill

- Assignee set to Justin Sherrill

Did you configure a subnet for this host?

#2 - 02/01/2017 02:17 PM - Justin Sherrill

- Status changed from New to Need more information

#3 - 02/01/2017 07:44 PM - Todd Punderson

Yes the host does have a subnet configured. (IPv4 only as I don't use IPv6 on my network currently.) I doubled checked that the subnet has a

gateway defined.

#4 - 02/08/2017 02:10 PM - Justin Sherrill

- Project changed from Katello to Foreman

- Status changed from Need more information to New

- Assignee deleted (Justin Sherrill)

Moving to foreman, as i do not think this is related to katello and looks like some sort of provisioning misconfiguration.
#5 - 02/09/2017 03:10 AM - Dominic Cleal

- Subject changed from Kickstart_networking_setup snippet throws error about gateway to kickstart_networking_setup snippet throws "undefined

method 'gateway' for NilClass"

- Category set to Templates

- translation missing: en.field_release deleted (188)

#6 - 02/09/2017 07:41 AM - Marek Hulán

Based on the error message I assume, some of the interfaces you have configured as managed have not been attached to any subnet. I'd like to see

which combination leads to the problem. Could you please upload screenshot of modal windows for all your interfaces for this host?

#7 - 02/09/2017 12:40 PM - Todd Punderson

- File Screenshot from 2017-02-09 12-34-52.png added

- File Screenshot from 2017-02-09 12-35-57.png added

Hi, Here are the screenshots. I just want to reiterate that this only happens when trying to click the "build" button on an already built host.

#8 - 02/10/2017 06:46 AM - Marek Hulán

It seems it's caused by the subnet6.gateway.present?. Since your interface does not have any IPv6 subnet set, it fails. Could you try editing the

kickstart_networking_setup, changing every line like

<% if subnet6.gateway.present? -%>

 to

<% if subnet6 && subnet6.gateway.present? -%>

 If it helps, would you mind sending a patch to community-templates repo

#9 - 02/10/2017 05:12 PM - Todd Punderson

- File Screenshot from 2017-02-10 17-12-00.png added

Hi,

Unfortunately that didn't help. I missed pasting part of the info I have too. When I click on build I get a red box in the GUI that says:

Failure parsing Katello Kickstart Home: The snippet 'kickstart_networking_setup' threw an error: undefined method 'gateway' for NilClass::Jail

(NilClass).

Edit

Failure parsing Katello Kickstart Default Finish: The snippet 'kickstart_networking_setup' threw an error: undefined method 'gateway' for NilClass::Jail

(NilClass).

There's an edit button next to the first error brings up "Katello Kickstart Home" very slightly modified from default to include a couple of packages.

Oddly clicked edit next to the second one should open "Katello Kickstart Default Finish" (which does exist) however, I get this error:

ProvisioningTemplate not found Please try to update your request

I've attached a screenshot showing that the template does indeed exist. Not sure if that's related or not.

#10 - 02/13/2017 02:56 AM - Marek Hulán

I see you're using Organizations and Locations. Make sure, all objects that you use in templates are available in host organization and locations, in

this case, the subnet. If it seems correct, try opening the 'kickstart_networking_setup' snippet and click preview button while you're in "Any context"

and you chose the host you try to build. Does it work? If it doesn't, try deleting various lines and try to do the preview to find which line cause it, very

likely some line that contains either subnet6.gateway or subnet.gateway. If it works, try changing the context to host org and loc, does it still work?

#11 - 02/13/2017 04:12 AM - Marek Hulán

Also there was a patch merged recently that could help, please try to apply the new version of the kickstart_networking_setup whether it helps.

#12 - 02/16/2017 11:27 AM - Todd Punderson

I ended up having to flatten the box that I had this installed on for an unrelated reason. I'm assuming that there was something on my local install that

was wrong. This can be closed for now and I'll open a new ticket once I reinstall if I run into the same issue.

Thanks for your help!

#13 - 02/17/2017 04:10 AM - Jure Pečar

Just hit this and figured out what is happening.
New host gets deployed in ipv4 environment.

New host boots up, has ipv6 enabled and reports its linklocal v6 address back to puppet.

This host wants to get redeployed, has v6 address in its interface definition, but no v6 subnet, since this is v4 only environment.

Kickstart template render blows up.

Patch to kickstart_networking_setup snippet above does not fix the issue.

Any other suggestion on how to workaround this besides disabling v6 on hosts?

#14 - 02/17/2017 04:34 AM - Anonymous

Jure, could you try the following patch (if it's not already applied):

https://github.com/theforeman/community-templates/commit/461c1feb292a1e22160101ee14c7f5bd8b06e984

#15 - 03/25/2017 10:11 AM - Anonymous

- Status changed from New to Resolved

no reaction, closing.

Files

Screenshot from 2017-02-09 12-34-52.png 131 KB 02/09/2017 Todd Punderson

Screenshot from 2017-02-09 12-35-57.png 205 KB 02/09/2017 Todd Punderson

Screenshot from 2017-02-10 17-12-00.png 110 KB 02/10/2017 Todd Punderson
